import pcksniff.* ;


public class PcktCounter
{  
    	
  public static void main(String[] args)
  { 
    StringBuffer sb = new StringBuffer() ;
    
    if (args.length!=1) 
    { System.out.println("\nUsage: PcktCounter <device>\n") ; 
      System.exit(-1) ;
    }
        
    Adapter adapter = Sniffer.openLive(args[0],16,1,1,sb) ;
               
    if (adapter.isNull())
    { System.out.println(sb) ;
      System.exit(-1) ;
    }
    
    System.out.println("\nType enter to exit.\n") ;   
    
    try
    {  while(System.in.available()==0)
       {  Thread.sleep(1000) ;
          int pcktsRec = Sniffer.statsPacketsReceived(adapter) ;
          int pcktsDrop = Sniffer.statsPacketsDropped(adapter) ;
          System.out.println("Packets received (dropped) : " + pcktsRec + " (" + pcktsDrop + ")") ;
       }
    }
    catch(Exception ex)
    { System.out.println(ex.getMessage()) ;
    }
    
    Sniffer.close(adapter) ;
        
  }
}
