package pcksniff;

/**
 * This class wraps a generic C pointer. 
 *
 */

public abstract class Pointer 
{ 
   byte[] pointer  ;
   
   /**
   * Checks if the C pointer wrapped is Null.
   *
   */
   public boolean isNull()
   { return (pointer.length==0) ;
   } 
   
   /**
   * Gets the C pointer value as an array of Java bytes.
   *
   */   
   public byte[] getPointer() 
   { return pointer ;
   }
   
   /**
   * Sets the array of Java bytes representing the C pointer. 
   */
   public void setPointer(byte[] pointer)
   { this.pointer = pointer ;
   } 

}
