import pcksniff.* ;


public class PcktDumper
{  
    	
  public static void main(String[] args)
  { 
    StringBuffer sb = new StringBuffer() ;
    
    if (args.length!=2) 
    { System.out.println("\nUsage: PcktDumper <device> <filename>\n") ; 
      System.exit(-1) ;
    }
        
    Adapter adapter = Sniffer.openLive(args[0],2048,1,1,sb) ;
               
    if (adapter.isNull())
    { System.out.println(sb) ;
      System.exit(-1) ;
    }
    
    
    Dumper dumper = Sniffer.dumpOpen(adapter,args[1]) ;
    
    if (dumper.isNull())
    { System.out.println("Unable to create " + args[1]) ;
      System.exit(-1) ;
    }
    
        
    System.out.println("\nType enter to exit.\n") ;   
    
    try
    { while(System.in.available()==0)
       {  Sniffer.dispatchDump(adapter,dumper,24) ;
       }
    }
    catch(Exception ex)
    { System.out.println(ex.getMessage()) ;
    }
    
    Sniffer.dumpClose(dumper) ;
    Sniffer.close(adapter) ;
        
  }
}
